Bug 43137 - Printing to Solaris 2.6 doesn't work
Printing to Solaris 2.6 doesn't work
Product: Red Hat Linux
Classification: Retired
Component: LPRng (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-06-01 03:31 EDT by Tomasz Kepczynski
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-12-08 08:17:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tomasz Kepczynski 2001-06-01 03:31:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.2-2 i686)

Description of problem:
New RedHat 7.1 installation with locale set to "pl_PL". Printing to
remote queue on Solaris 2.6 server fails - there is core dump in Solaris
spool directory left and some control files as well which cause Solaris
tools like lpstat to dump core when invoked.
The problem doesn't exist when printing daemon on RH workstation is invoked
with locale set to "C".
The fault doesn't depend on setting strict RFC1179 compliance checkbox.

How reproducible:

Steps to Reproduce:
1. Just print to a queue located on Sparc Solaris 2.6 box.

Additional info:
Comment 1 Tomasz Kepczynski 2001-06-05 04:26:11 EDT
I just tried it one more time and must say that I was wrong. It doesn't seem to
be related to locale setting as fault occurs with locale set to "C", "en",
and "pl_PL". Sorry for introducing false lead.
Comment 2 Tim Waugh 2002-03-05 12:26:50 EST
Do you happen to know if Red Hat Linux 7.2 has the same problem, in the same
Comment 3 Tomasz Kepczynski 2002-03-06 01:33:59 EST
Unfortunately I don't know. I can try to find out but not earlier then in five
weeks time. My guess is that the problem is related to locale seting (even if I
retracted it) - probably the offendig one is LC_NUMERIC which introduces commas
as tenth separator instead of more American dot. And as I know 7.2 sets filter
locales to C so probably it is already fixed.
Comment 4 Tim Waugh 2004-12-08 08:17:56 EST

Note You need to log in before you can comment on or make changes to this bug.